#include <cpu.h>
#include <memory.h>
#include <debug.h>
#include <ports.h>

#define APIC_MSR_ENABLE (1<<11)

void apic_init() {
  // Map apic offset into kernel memory
  vmm_set_page(kernel_P4,
      (uintptr_t)P2V(APIC_BASE),
      APIC_BASE,
      PAGE_PRESENT | PAGE_WRITE | PAGE_GLOBAL
  );

  // Allow LAPIC to receive interrupts
  APIC_REG(APIC_SPURIOUS) = APIC_REG(APIC_SPURIOUS) | 0x100 | IRQ_SPURIOUS;
}