#!/bin/sh -e

TARGET=x86_64-elf-mittos
SYSROOT=/opt/sysroot

binutils_version=binutils-2.38

mkdir -p /opt/external && cd /opt/external
[ -f "${binutils_version}.tar.gz" ] || wget "http://ftp.gnu.org/gnu/binutils/${binutils_version}.tar.gz"
[ -d "${binutils_version}" ] || tar -xf ${binutils_version}.tar.gz

mkdir -p build-binutils && cd build-binutils


if ! grep -q mittos ../${binutils_version}/config.sub; then
    sed -i '/^case $os in$/a \\tmittos*) ;;' ../${binutils_version}/config.sub
fi

../${binutils_version}/configure \
    --target=${TARGET} \
    --with-sysroot=${SYSROOT} \
    --disable-nls \
    --disable-werror \
    CC="x86_64-elf-gcc"

# make
# make install